Bug 187571 - Upgrade deletes grub.conf stanzas, kernels etc. for other volumes.
Summary: Upgrade deletes grub.conf stanzas, kernels etc. for other volumes.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-01 02:26 UTC by Tony Nelson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 16:41:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tony Nelson 2006-04-01 02:26:20 UTC
Description of problem:
An upgrade install that is told to update grub should take care not to remove
grub.conf stanzas (or their kernels, etc.) that refer to volumes other than the
install volume.  I have FC3 on one volume and a copy of it on another that I was
upgrading to FC5.  The installer removed all the stanzas (and kernels, etc.),
even for that other volume.  (I restored from backup, so no harm done.)

I'd say this was another case of bug 186693.  More thought should go into this area.

(I will be without computer access for a week or two, so I won't be able to
respond to comments.  Sorry.)



Version-Release number of selected component (if applicable):


How reproducible:
I've only tried it once, but I expect that I experienced normal operation.

Steps to Reproduce:
1. Have more than one grub-bootable installation (volume) in grub.conf.
2. Upgrade one of them, giving permission to update grub (the default).
3.
  
Actual results:
All grub.conf stanzas, kernels etc. were deleted.

Expected results:
Only stanzas and kernels, etc. pertaining to the volume being installed on
should be deleted.

Additional info:

Comment 1 Jeremy Katz 2006-04-10 16:41:41 UTC
grubby expects that kernels references in the grub.conf are actually accessible
and if they're not, then they're removed.  Otherwise, it's a non-working config.


Note You need to log in before you can comment on or make changes to this bug.